Name:           moonshot-repository
Version:        2019.08.21
Release:        1%{?dist}
Summary:        Moonshot repository configuration

Group:          System Environment/Base
License:        BSD-3

Source0:        key.gpg
Source1:        moonshot.repo

BuildArch:     noarch

Requires: yum-plugin-priorities epel-release

%description
This package contains the Moonshot repository GPG key as well
as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-MOONSHOT

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*
